package com.zfire.jiasm.syncdata.download.other.refunds;

import lombok.extern.slf4j.Slf4j;

/**  新做的接口
 * 京东订单评价
 * /api/jdorder/ext/search
 */
@Slf4j
// @Component
public class JDWebEvaluation {
    /*
    @Resource
    TableDataQueryTimeService tableDataQueryTimeService;
    @Resource
    OtherDownService otherDownService;

    private SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

    @Scheduled(fixedDelayString = "${jdddpj}")
    public void getInfo(){

        // 提取数据
        List<TableDataQueryTime> tdqts = tableDataQueryTimeService.lambdaQuery()
                .eq(TableDataQueryTime::getType,5)
                .eq(TableDataQueryTime::getSynStatus,0)
                .eq(TableDataQueryTime::getNeedDown,1)
                .list();
        log.info("开始京东订单评价下载: \uF0B7{}",sdf.format(new Date()));

        for (TableDataQueryTime item:tdqts){
            try{
                // 查询
                otherDownService.detailJD(item);
            } catch (Exception ex) {
                ex.printStackTrace();
                log.info("京东订单评价下载失败");
            }
        }
        log.info("京东订单评价下载结束: \uF0B7{}",sdf.format(new Date()));
    }*/

}
